Skip to main content
GET
/
agents
List Agents
curl --request GET \
  --url https://api.example.com/agents
[
  {
    "id": "<string>",
    "name": "<string>",
    "namespace_id": "<string>",
    "status": "ACTIVE"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

task_id
string | null

Task ID

namespace_id
string | null

Filter by namespace ID

limit
integer
default:50

Limit

Required range: x >= 1
page_number
integer
default:1

Page number

Required range: x >= 1
order_by
string | null

Field to order by

order_direction
string
default:desc

Order direction (asc or desc)

Response

Successful Response

id
string
required

The unique identifier of the agent.

name
string
required

The agent name (unique within namespace).

namespace_id
string
required

The namespace ID this agent belongs to.

status
enum<string>
default:ACTIVE

Agent status (ACTIVE/DELETED).

Available options:
ACTIVE,
DELETED